View Issue Details

IDProjectCategoryView StatusLast Update
15229Bug reports[All Projects] Otherpublic2019-09-06 10:47
Reportercdorin Assigned Tomarkusfluer  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary15229: Subquestions do not have GID changed once the parent question is moved
Description
  1. Create a question that uses subquestions.
  2. Move the question to another question group.
  3. The GID of the subquestions does not get changed (see database).
TagsNo tags attached.
Complete LimeSurvey version number (& build)LimeSurvey PRO & latest master
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

related to 15228 closedDenisChenu This survey throw a Error when try to print 

Activities

DenisChenu

DenisChenu

2019-09-04 18:14

developer   ~53445

Check data integrity fix it.

Maybe we need a Check survey integrity to do

  • After import
  • Before activate

?

markusfluer

markusfluer

2019-09-05 13:43

administrator   ~53463

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29092

markusfluer

markusfluer

2019-09-05 13:44

administrator   ~53464

I do second a check on onActivate.

lime_release_bot

lime_release_bot

2019-09-06 10:47

developer   ~53489

Fixed in Release 3.17.16+190906

Related Changesets

LimeSurvey: master 968b7dc9

2019-09-05 13:43:02

markusfluer

Details Diff
Fixed issue 15229: Subquestions do not have GID changed once the parent question is moved Affected Issues
15229
mod - application/controllers/admin/questiongroups.php Diff File

Issue History

Date Modified Username Field Change
2019-09-04 17:51 cdorin New Issue
2019-09-04 17:51 cdorin Status new => assigned
2019-09-04 17:51 cdorin Assigned To => c_schmitz
2019-09-04 18:04 cdorin Relationship added related to 15228
2019-09-04 18:14 DenisChenu Note Added: 53445
2019-09-05 12:03 cdorin Assigned To c_schmitz => markusfluer
2019-09-05 13:43 markusfluer Changeset attached => LimeSurvey master 968b7dc9
2019-09-05 13:43 markusfluer Note Added: 53463
2019-09-05 13:43 markusfluer Resolution open => fixed
2019-09-05 13:43 markusfluer Status assigned => resolved
2019-09-05 13:43 markusfluer Fixed in Version => 3.17.x
2019-09-05 13:44 markusfluer Note Added: 53464
2019-09-06 10:47 lime_release_bot Note Added: 53489
2019-09-06 10:47 lime_release_bot Status resolved => closed